Retrieve server
Fetch a single MCP server with its tools and access configuration.
curl -X GET "https://api.mythic-analytics.com/api/v1/mcp/servers/example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/mcp/servers/example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/mcp/servers/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
)
func main() {
req, err := http.NewRequest("GET", "https://api.mythic-analytics.com/api/v1/mcp/servers/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/mcp/servers/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"success": true,
"data": "null"
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
GET
/mcp/servers/{id}GET
Bearer Token
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYAPI Key (query: admin_key)
admin_keystring
RequiredAlternative to the Authorization header for server-to-server scenarios.
Alternative to the Authorization header for server-to-server scenarios.
path
idstring
RequiredMCP server identifier.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
query
admin_keystring
RequiredAPI Key for authentication. Alternative to the Authorization header for server-to-server scenarios.
Path Parameters
idstring
RequiredMCP server identifier.
Responses
successboolean
datastring
successboolean
datastring
errorstring
countinteger
successboolean
datastring
errorstring
countinteger
Was this page helpful?
Last updated Feb 26, 2026
Built with Documentation.AI